<script>
	import {baseUrl} from './../../config'
	
	export default {
		data () {
			return {
				clickable: true
			}
		},

		methods: {
			handleSidebarToggle() {
				if (this.clickable) {
					this.clickable = false
					document.body.classList.toggle('sidebar-collapse')
					axios.post(baseUrl + '/api/v1/sidebar-toggle')
					     .then(response => {
				            console.log('response', response)
				            this.clickable = true
				         })

				}
			}
		}
	}

</script>

<template>
	<a href="javascript:void(0);" 
	   class="sidebar-toggle"
	   data-toggle="push-menu"
	   role="button"
	   @click="handleSidebarToggle"
	>
      <span class="sr-only">Toggle navigation</span>
    </a>
</template>